Album: Cascade
Artists:
- Tensei
Date: July 13, 2025
Date Added: 
URLs:
- https://www.youtube.com/playlist?list=OLAK5uy_kCU_Y80dBWkmdTXMfH1zP7R0-AgDkQVCI
- https://open.spotify.com/album/3n5N4h6gH2UextupGQoZZ3
- https://music.apple.com/album/cascade-single/1826469337
Cover Artists:
- Tensei
Color: '#02ff32'
Groups:
- Tensei
- Fandom
Art Tags:
- Jack Noir
---
Track: Cascade (Director's Cut)
Artists:
- Tensei
Duration: 4:30
URLs:
- https://www.youtube.com/watch?v=3hiX0j_uX8w
- https://open.spotify.com/track/1lm8RLMwPRqG5U9NB8nchb
- https://music.apple.com/song/cascade-directors-cut/1826469338
Referenced Tracks:
- Cascade (Beta)
- track:sburban-jungle
- track:beatdown-strider-style
Commentary: |-
    <i>Tensei:</i> ([YouTube description](https://www.youtube.com/watch?v=Ejw-E2HBtlY))
    A slightly updated/different version of my section of Cascade. The most notable differences are the altered melodies at the start and numerous production improvements such as rerecorded guitars, improved string sections, etc.
---
Track: Cascade (Beta)
Directory: cascade-beta-cascade
Main Release: track:cascade-beta
Duration: 4:06
URLs:
- https://www.youtube.com/watch?v=NbyLzfmtMns
- https://open.spotify.com/track/35YPYa9WNPFmLefyjxFzT0
- https://music.apple.com/song/cascade-beta/1826469339
